<?php

namespace FiloBlu\Paymentscapture\Console;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use FiloBlu\Paymentscapture\Model\Capture;

class CaptureCommand extends Command
{
    /**
     * @var Capture
     */
    private $capturer;
    
    /**
     *
     * @var \Magento\Framework\App\State 
     */
    private $state;

    /**
     * Constructor
     * @param Capture $capturer
     */
    public function __construct(
            Capture $capturer, 
            \Magento\Framework\App\State $state
            )
    {
        $this->capturer = $capturer;
        $this->state = $state;
        parent::__construct();
    }
 
    protected function configure()
    {
        $this->setName('filoblu:paymentscapture:capture')->setDescription('Capture pending payments based on configuration parameters');
    }
 
    protected function execute(InputInterface $input, OutputInterface $output)
    {
        $this->state->setAreaCode('adminhtml');
        $this->capturer->capture();
    }
 
}